import type { Compiler, WebpackPluginInstance } from 'webpack';
export declare type PACKAGE_OPTION = {
    host?: string;
    name: string;
    path?: string;
    /** when has fullPath, all other props will be ignored */
    fullPath?: string;
    attributes?: Record<string, string | boolean>;
};
export interface OPTION {
    externals?: {
        [packageName: string]: string | string[];
    };
    host?: string;
    packages: PACKAGE_OPTION[];
    attributes?: Record<string, string | boolean>;
}
export declare class HtmlWebpackInjectExternalsPlugin implements WebpackPluginInstance {
    name: string;
    options: OPTION;
    constructor(options: OPTION);
    apply(compiler: Compiler): void;
}
